Package fr.gouv.vitam.common.model.administration

# Class ArchiveUnitProfileModel

java.lang.Object
fr.gouv.vitam.common.model.administration.ArchiveUnitProfileModel

public class ArchiveUnitProfileModel extends Object
POJO java use for mapping @`ArchiveUnitProfile`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACTIVATION_DATE`
  ActivationDate Tag
  `static final String`
  `CONTROLSCHEMA`
  ControlSchema Tag
  `static final String`
  `CREATION_DATE`
  CreationDate Tag
  `static final String`
  `DEACTIVATION_DATE`
  DeactivationDate Tag
  `static final String`
  `FIELDS`
  ControlSchema Tag
  `static final String`
  `LAST_UPDATE`
  LastUpdate Tag
  `static final String`
  `TAG_DESCRIPTION`
  Description Tag
  `static final String`
  `TAG_IDENTIFIER`
  Identifier Tag
  `static final String`
  `TAG_NAME`
  Name Tag
  `static final String`
  `TAG_SEDAVERSION`
  Seda version Tag
  `static final String`
  `TAG_STATUS`
  Status Tag

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArchiveUnitProfileModel()`
  Constructor without fields use for jackson

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActivationdate()`
  `String`
  `getControlSchema()`
  `String`
  `getCreationdate()`
  `String`
  `getDeactivationdate()`
  `String`
  `getDescription()`
  `List<String>`
  `getFields()`
  Get Fields
  `String`
  `getId()`
  `String`
  `getIdentifier()`
  `String`
  `getLastupdate()`
  `String`
  `getName()`
  `ArchiveUnitProfileSedaVersion`
  `getSedaVersion()`
  `ArchiveUnitProfileStatus`
  `getStatus()`
  `Integer`
  `getTenant()`
  `Integer`
  `getVersion()`
  `ArchiveUnitProfileModel`
  `setActivationdate(String activationdate)`
  `ArchiveUnitProfileModel`
  `setControlSchema(String controlSchema)`
  `ArchiveUnitProfileModel`
  `setCreationdate(String creationdate)`
  `ArchiveUnitProfileModel`
  `setDeactivationdate(String deactivationdate)`
  `ArchiveUnitProfileModel`
  `setDescription(String description)`
  `ArchiveUnitProfileModel`
  `setFields(List<String> fields)`
  Set fields
  `ArchiveUnitProfileModel`
  `setId(String id)`
  `ArchiveUnitProfileModel`
  `setIdentifier(String identifier)`
  `ArchiveUnitProfileModel`
  `setLastupdate(String lastupdate)`
  `ArchiveUnitProfileModel`
  `setName(String name)`
  `ArchiveUnitProfileModel`
  `setSedaVersion(ArchiveUnitProfileSedaVersion sedaVersion)`
  `ArchiveUnitProfileModel`
  `setStatus(ArchiveUnitProfileStatus status)`
  `ArchiveUnitProfileModel`
  `setTenant(Integer tenant)`
  `ArchiveUnitProfileModel`
  `setVersion(Integer version)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TAG_IDENTIFIER

    public static final String TAG_IDENTIFIER
    Identifier Tag
    See Also:
      - Constant Field Values

  - ### TAG_NAME

    public static final String TAG_NAME
    Name Tag
    See Also:
      - Constant Field Values

  - ### TAG_DESCRIPTION

    public static final String TAG_DESCRIPTION
    Description Tag
    See Also:
      - Constant Field Values

  - ### TAG_STATUS

    public static final String TAG_STATUS
    Status Tag
    See Also:
      - Constant Field Values

  - ### TAG_SEDAVERSION

    public static final String TAG_SEDAVERSION
    Seda version Tag
    See Also:
      - Constant Field Values

  - ### CREATION_DATE

    public static final String CREATION_DATE
    CreationDate Tag
    See Also:
      - Constant Field Values

  - ### LAST_UPDATE

    public static final String LAST_UPDATE
    LastUpdate Tag
    See Also:
      - Constant Field Values

  - ### ACTIVATION_DATE

    public static final String ACTIVATION_DATE
    ActivationDate Tag
    See Also:
      - Constant Field Values

  - ### DEACTIVATION_DATE

    public static final String DEACTIVATION_DATE
    DeactivationDate Tag
    See Also:
      - Constant Field Values

  - ### CONTROLSCHEMA

    public static final String CONTROLSCHEMA
    ControlSchema Tag
    See Also:
      - Constant Field Values

  - ### FIELDS

    public static final String FIELDS
    ControlSchema Tag
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ArchiveUnitProfileModel

    public ArchiveUnitProfileModel()
    Constructor without fields use for jackson

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public ArchiveUnitProfileModel setId(String id)

  - ### getTenant

    public Integer getTenant()

  - ### setTenant

    public ArchiveUnitProfileModel setTenant(Integer tenant)

  - ### getVersion

    public Integer getVersion()

  - ### setVersion

    public ArchiveUnitProfileModel setVersion(Integer version)

  - ### getIdentifier

    public String getIdentifier()

  - ### setIdentifier

    public ArchiveUnitProfileModel setIdentifier(String identifier)

  - ### getName

    public String getName()

  - ### setName

    public ArchiveUnitProfileModel setName(String name)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public ArchiveUnitProfileModel setDescription(String description)

  - ### getStatus

    public ArchiveUnitProfileStatus getStatus()

  - ### setStatus

    public ArchiveUnitProfileModel setStatus(ArchiveUnitProfileStatus status)

  - ### getSedaVersion

    public ArchiveUnitProfileSedaVersion getSedaVersion()

  - ### setSedaVersion

    public ArchiveUnitProfileModel setSedaVersion(ArchiveUnitProfileSedaVersion sedaVersion)

  - ### getCreationdate

    public String getCreationdate()

  - ### setCreationdate

    public ArchiveUnitProfileModel setCreationdate(String creationdate)

  - ### getLastupdate

    public String getLastupdate()

  - ### setLastupdate

    public ArchiveUnitProfileModel setLastupdate(String lastupdate)

  - ### getActivationdate

    public String getActivationdate()

  - ### setActivationdate

    public ArchiveUnitProfileModel setActivationdate(String activationdate)

  - ### getDeactivationdate

    public String getDeactivationdate()

  - ### setDeactivationdate

    public ArchiveUnitProfileModel setDeactivationdate(String deactivationdate)

  - ### getControlSchema

    public String getControlSchema()

  - ### setControlSchema

    public ArchiveUnitProfileModel setControlSchema(String controlSchema)

  - ### getFields

    public List<String> getFields()
    Get Fields
    Returns:
      fields

  - ### setFields

    public ArchiveUnitProfileModel setFields(List<String> fields)
    Set fields
    Parameters:
      `fields` -
    Returns:
      modified pojo